Status: Closed

Priority: Normal

Assignee: Jürgen Fischer
Affected QGIS version:2.18.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24092

Description

Hi,

when printing / exporting PDF out of QGIS I have the problem that WMS services are tiled. This is very cumbersome especially of labels,

because they are drawn incompletely (for example, street names, city / district names, see attached file). The WMS services are provided

by UMN MapServer. In other WebGIS / GIS programs (Mapbender, ArcGIS, OpenLayers), no tiling occurs with the same WMS services.

I have already changed the DPI value of the output. I have also changed the size- / maxsize value in the mapfile for the UMN MapServer -

but in both cases I can't prevent tiling in QGIS. Only the size of the tiles changes.

BTW: It doesn't matter which QGIS version I work with -> 2.14.x, 2.18.x, 2.99-dev on Linux, Mac or Windows

Regards Burghardt

Associated revisions

Revision baa5d90d - 2017-02-21 01:01 AM - Jürgen Fischer

[FEATURE] allow to configure maximum request size for WMS requests (fixes #16182)

Hardwired setting was 2000, which is still default.

History

#1 - 2017-02-20 05:07 AM - Jürgen Fischer

- Assignee changed from Marco Hugentobler to Jürgen Fischer

#2 - 2017-02-20 03:56 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"baa5d90ddc58e469b5bdbb602793f00ec74bcb91".

#3 - 2017-09-22 09:54 AM - Jürgen Fischer

- Category set to Unknown
